Re: Mancato aggiornamento alla 2020.4


 

Ciao Alberto. Hai detto bene, dovrebbe... Non sarebbe la prima volta che risultano incompatibili solo per quel valore lì, mi è capitato anche con altri che ora non ricordo, modificato quello ora funziona tutto benissimo.

Il giorno 20 feb 2021, alle ore 20:38, Alberto Buffolino <a.buffolino@gmail.com> ha scritto:

Leonardo M, il 20/02/2021 19.51, ha scritto:
Alberto, scusami la domanda, ridi se vuoi: il manifest.ini è aposto con la LastTestedVersion o quella che è vero?
Alberto:
il fatto è appunto quello, no, il manifest aveva un vecchio valore per lastTestedNVDAVersion, ma, come spiegai tempo fa, quel valore viene valutato (o almeno dovrebbe) in rapporto alla versione di add-on API interna a NVDA. Ovvero: c'è stato un cambiamento importante fra la 2019.2 e la 2019.3, ovvero il passaggio a Python 3? Bene, il valore di lastTestedNVDAVersion dovrà essere almeno 2019.3. Ma se fra la 2019.3 e la 2020.4 non ci sono stati cambiamenti importanti (dove "importanti" va letto come "tali da introdurre incompatibilità"), allora un add-on che riportasse anche soltanto 2020.1 come lastTestedNVDAVersion non dovrebbe dare problemi.
Lo so, è contorto... ma se pensi al povero sviluppatore che ogni volta dovrebbe rilasciare una nuova versione anche solo col lastTestedNVDAVersion cambiato, ha molto senso. Però boh, stavolta qualcosa non ha funzionato, almeno a Ermes (da me, ripeto, è andato tutto liscio, eppure NoBeepsSpeechMode riportava 2019.3, che è coerente con quanto sto dicendo, anche se va detto che io aggiornavo dalle alpha a una stabile).
Alberto




Join nvda-it@groups.io to automatically receive all group messages.